﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProgramovaniSoutez
{
    public partial class NewGame : Form
    {
        public NewGame()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
                HraciPlocha.Text = openFileDialog1.FileName;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrWhiteSpace(HraciPlocha.Text))
            {
                MessageBox.Show("Skřítek zničil obvod v počítači, nebo jste nezadali soubor na hrací plochu!");

                return;
            }

            if(!File.Exists(HraciPlocha.Text))
            {
                MessageBox.Show("Skřítek zničil obvod v počítači, nebo jste zadali blbě soubor na hrací plochu, protože neexistuje!");

                return;
            }

            DialogResult = DialogResult.OK;
        }
    }
}
